// Vikunja is a to-do list application to facilitate your life.
// Copyright 2018-2020 Vikunja and contributors. All rights reserved.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public Licensee as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public Licensee for more details.
//
// You should have received a copy of the GNU Affero General Public Licensee
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

package migration

import (
	"src.techknowlogick.com/xormigrate"
	"xorm.io/xorm"
)

type file20191008194238 struct {
	ID          int64  `xorm:"int(11) autoincr not null unique pk" json:"id"`
	Name        string `xorm:"text not null" json:"name"`
	Mime        string `xorm:"text null" json:"mime"`
	Size        int64  `xorm:"int(11) not null default 0" json:"size"`
	CreatedUnix int64  `xorm:"created" json:"inserted_unix"`
	CreatedByID int64  `xorm:"int(11) not null" json:"-"`
}

func (file20191008194238) TableName() string {
	return "files"
}

func init() {
	migrations = append(migrations, &xormigrate.Migration{
		ID:          "20191008194238",
		Description: "Added files table",
		Migrate: func(tx *xorm.Engine) error {
			return tx.Sync2(file20191008194238{})
		},
		Rollback: func(tx *xorm.Engine) error {
			return tx.DropTables(file20191008194238{})
		},
	})
}
